Name:           python3-cppyy-backend
Version:        1.14.3
Release:        2%{?dist}
Summary:        A backend for cppyy
License:        LBNLBSD
URL:            https://pypi.org/project/cppyy-backend/
Source0:        cppyy-backend-%{version}.tar.gz
BuildRequires:  python3-devel python3-cppyy-cling python3-wheel gcc-c++ python3-setuptools

%description
A backend for cppyy

%prep
%autosetup -n cppyy-backend-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# match other cppyy tools that install to lib not lib64
# should probably be the other way around
mv %{buildroot}/usr/lib64 %{buildroot}/usr/lib

%files
%{python3_sitelib}/*

%changelog
* Tue Aug 03 2021 Bruno Postle <bruno@postle.net> - 1.14.3-2
- f35 requires python3-setuptools

* Fri Mar 19 2021 Bruno Postle <bruno@postle.net> - 1.14.3-1
- upstream release

* Fri Jan 08 2021 Bruno Postle <bruno@postle.net> - 1.14.1-2
- initial package
